Subject: RE: does this use of 424 seem reasonable?

From: Jim Whitehead <[email-masked]>
Date: Thu, 1 Jun 2000 15:47:23 -0700

The error minimization rules in Section 8.6.2, 6th paragraph, were intended
to cover this situation by eliminating repetition of 424s.

I heartily concur that, if a server can support atomic copy/move/delete,
then they should do so.  I suspect I will spend a day in purgatory for every
person who was misled on this point by the language in RFC 2518.

- Jim

> -----Original Message-----
> From: [email-masked]
> [mailto:[email-masked]]On Behalf Of Greg Stein
> Sent: Wednesday, May 31, 2000 12:16 PM
> To: [email-masked]
> Subject: Q: does this use of 424 seem reasonable?
>
>
> Hi all...
>
> One more question: in the current mod_dav architecture, I am unable to do
> a "best effort" delete/move/copy when a lock exists somewhere in the
> affected resources. As a result, the only real option available is to fail
> the entire request.
>
> However, this would effectively mean returning a 207 (Multistatus) that
> contains an entry for every single resource stating (in some way) that it
> was not deleted/moved/copied.
>
> I would much rather do the following:
>
> *) return 424 (Failed Dependency)
> *) include a body in the 424 response, which contains a DAV:multistatus
>    element which refers to the locked resource
>
>
> Does this seem reasonable?
>
> Thanx,
> -g
>
> p.s. and no, fixing it to do best-effort is not an option
>
> --
> Greg Stein, http://www.lyra.org/
>